Bug 253348 - Evolution crashes at start-up
Evolution crashes at start-up
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-17 23:16 EDT by Ralph Loader
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-21 04:36:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
gdb output with 'bt full' (27.67 KB, text/plain)
2007-08-17 23:16 EDT, Ralph Loader
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 467883 None None None Never

  None (edit)
Description Ralph Loader 2007-08-17 23:16:17 EDT
Description of problem:

Evolution crashes at start-up, moments after displaying the main mail window.

Gdb output:

GNU gdb Red Hat Linux (6.6-24.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New process 4906]
[New Thread -1208183024 (LWP 4906)]
Loading Bogofilter as the default junk plugin
[New Thread -1259377776 (LWP 4916)]
[New Thread -1269867632 (LWP 4917)]
[Thread -1269867632 (LWP 4917) exited]
[New Thread -1269867632 (LWP 4918)]
[New Thread -1280750704 (LWP 4919)]
[New Thread -1291240560 (LWP 4921)]
get suckfish pop://suckfish@pop.ihug.co.nz/
[New Thread -1301759088 (LWP 4924)]
[Thread -1280750704 (LWP 4919) exited]
[Thread -1291240560 (LWP 4921) exited]
[Thread -1301759088 (LWP 4924) exited]
[New Thread -1291240560 (LWP 4925)]
opening pop3 INBOX folder
[Thread -1291240560 (LWP 4925) exited]
[Thread -1259377776 (LWP 4916) exited]
[New Thread -1259377776 (LWP 4926)]
[New Thread -1291240560 (LWP 4927)]
[Thread -1259377776 (LWP 4926) exited]
[Thread -1291240560 (LWP 4927) exited]
[New Thread -1291240560 (LWP 4934)]
[New Thread -1259377776 (LWP 4935)]
[New Thread -1301759088 (LWP 4936)]

(evolution:4906): evolution-mail-CRITICAL **: mail_tool_uri_to_folder: assertion
`uri != NULL' failed

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208183024 (LWP 4906)]
0x06364f73 in strchr () from /lib/libc.so.6
(gdb) bt
#0  0x06364f73 in strchr () from /lib/libc.so.6
#1  0x002e8fa6 in camel_url_new_with_base (base=0x0, url_string=0x0) at
#2  0x002e99da in camel_url_new (url_string=0x0, ex=0x0) at camel-url.c:299
#3  0x0729cb6e in enable_folder_tree (emfb=0x8654800, emft=0x87a4860) at
#4  0x010133a9 in IA__g_cclosure_marshal_VOID__VOID (closure=0x87cc230,
return_value=0x0, n_param_values=1, param_values=0xbffad31c,
invocation_hint=0xbffad22c, marshal_data=0x729cb00) at gmarshal.c:77
#5  0x01005f53 in IA__g_closure_invoke (closure=0x87cc230, return_value=0x0,
n_param_values=1, param_values=0xbffad31c, invocation_hint=0xbffad22c) at
#6  0x010166a3 in signal_emit_unlocked_R (node=0x8653db0, detail=0,
instance=0x8654800, emission_return=0x0, instance_and_params=0xbffad31c) at
#7  0x01017bc7 in IA__g_signal_emit_valist (instance=0x8654800, signal_id=219,
detail=0, var_args=0xbffad55c "\021�\001\001�\022@") at gsignal.c:2199
#8  0x01017d89 in IA__g_signal_emit (instance=0x8654800, signal_id=219,
detail=0) at gsignal.c:2243
#9  0x07261814 in emfb_search_search_activated (esb=0x879e818, emfb=0x8654800)
at em-folder-browser.c:995
#10 0x010133a9 in IA__g_cclosure_marshal_VOID__VOID (closure=0x87b4608,
return_value=0x0, n_param_values=1, param_values=0xbffad7dc,
invocation_hint=0xbffad6ec, marshal_data=0x7261630) at gmarshal.c:77
#11 0x01005f53 in IA__g_closure_invoke (closure=0x87b4608, return_value=0x0,
n_param_values=1, param_values=0xbffad7dc, invocation_hint=0xbffad6ec) at
#12 0x010166a3 in signal_emit_unlocked_R (node=0x8799978, detail=0,
instance=0x879e818, emission_return=0x0, instance_and_params=0xbffad7dc) at
#13 0x01017bc7 in IA__g_signal_emit_valist (instance=0x879e818, signal_id=341,
detail=0, var_args=0xbffada28 "") at gsignal.c:2199
#14 0x01019f4e in IA__g_signal_emit_by_name (instance=0x879e818,
detailed_signal=0x1260a4d "search_activated") at gsignal.c:2267
#15 0x0125fc73 in set_property (object=0x879e818, property_id=2,
value=0xbffadb74, pspec=0x87804c8) at e-filter-bar.c:829
#16 0x0100cc7e in IA__g_object_set_valist (object=0x879e818,
first_property_name=0x72d1d84 "state", var_args=<value optimized out>) at
#17 0x0100d116 in IA__g_object_set (_object=0x879e818,
first_property_name=0x72d1d84 "state") at gobject.c:1212
#18 0x07263a68 in emfb_set_folder (emfv=0x8654800, folder=0x84e0520,
uri=0x87c75a0 "mbox:/home/ralph/.evolution/mail/local#Inbox") at
#19 0x0726fdd2 in emfv_got_folder (uri=0x87c75a0
"mbox:/home/ralph/.evolution/mail/local#Inbox", folder=0x84e0520,
data=0x8654800) at em-folder-view.c:699
#20 0x072a5756 in get_folder_done (m=0x23232323) at mail-ops.c:1198
#21 0x072a514e in mail_msg_idle_cb () at mail-mt.c:480
#22 0x056025b1 in g_idle_dispatch (source=0x861a748, callback=0x23232323,
user_data=0x0) at gmain.c:4132
#23 0x0560417c in IA__g_main_context_dispatch (context=0x849f530) at gmain.c:2061
#24 0x056075bf in g_main_context_iterate (context=0x849f530, block=1,
dispatch=1, self=0x847c6f0) at gmain.c:2694
#25 0x05607969 in IA__g_main_loop_run (loop=0x84c7b38) at gmain.c:2898
#26 0x007aa813 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#27 0x0805e45c in main (argc=1, argv=0xbffae014) at main.c:601
#28 0x0630d0f0 in __libc_start_main () from /lib/libc.so.6
#29 0x0804f561 in _start ()
Comment 1 Ralph Loader 2007-08-17 23:16:18 EDT
Created attachment 161785 [details]
gdb output with 'bt full'
Comment 2 Matthew Barnes 2007-08-18 01:27:31 EDT
Thanks for the backtrace (and for including debug symbols!).  I'll look into
what's causing the segfault.

In the meantime, if you're using Evolution 2.11.90, you may be able to get
Evolution up and running again with the following new command-line option:

   evolution --disable-preview
Comment 3 Matthew Barnes 2007-08-18 03:31:28 EDT
I've opened an upstream bug with some patches to fix the crash and hopefully
prevent future crashes like this one [1].

I've also added the Evolution patch to Rawhide.  Please try upgrading to
evolution-2.11.90-2.fc8 and let me know how it goes.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=467883
Comment 4 Ralph Loader 2007-08-21 04:36:55 EDT
The new package no longer crashes for me.

Thanks heaps.

Note You need to log in before you can comment on or make changes to this bug.